Summary:	Static analysis tool for C/C++
Name:		cppcheck
Version:	1.72
Release:	1
License:	GPLv3+
Group:		Development/Tools
Url:		http://cppcheck.sourceforge.net/
Source0:	http://downloads.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
BuildRequires:	docbook-style-xsl
BuildRequires:	libxslt-proc
BuildRequires:	pkgconfig(libpcre)
Requires:	python-pygments

%description
This program tries to detect bugs that your C/C++ compiler don't see. Cppcheck
is versatile. You can check non-standard code that includes various compiler
extensions, inline assembly code, etc. Its goal is no false positives.

%files
%doc AUTHORS readme.txt
%{_mandir}/man1/cppcheck.1*
%{_bindir}/cppcheck
%{_bindir}/cppcheck-htmlreport
%{_datadir}/%{name}

#----------------------------------------------------------------------------

%prep
%setup -q

%build
CXXFLAGS="%{optflags}" LDFLAGS="%{ldflags}" %make CFGDIR=%{_datadir}/%{name} HAVE_RULES=yes

# this command line is documented inside cppcheck.1.xml
cd man
xsltproc \
	--nonet \
	--param man.charmap.use.subset "0" \
	--param make.year.ranges "1" \
	--param make.single.year.ranges "1" \
	%{_datadir}/sgml/docbook/xsl-stylesheets/manpages/docbook.xsl \
	cppcheck.1.xml

%install
%makeinstall_std
mkdir -p %{buildroot}%{_mandir}/man1
install -m 0644 man/cppcheck.1 %{buildroot}/%{_mandir}/man1
install -m 0755 -d %{buildroot}/%{_datadir}/%{name}
install -m 0644 cfg/*.cfg %{buildroot}/%{_datadir}/%{name}



%changelog

* Wed Jan 13 2016 Denis Silakov <dsilakov@gmail.com> 1.72-1
- (fd4e2a4) Upload tarball


